3 # gst-plugins-base autogen.sh
5 # Run this to generate all the initial makefiles, etc.
7 # This file has been generated from common/autogen.sh.in via common/update-autogen
10 test -n "$srcdir" || srcdir=`dirname "$0"`
11 test -n "$srcdir" || srcdir=.
16 package=gst-plugins-base
17 srcfile=gst-plugins-base.doap
19 # Make sure we have common
20 if test ! -f common/gst-autogen.sh;
22 echo "+ Setting up common submodule"
27 # source helper functions
28 if test ! -f common/gst-autogen.sh;
30 echo There is something wrong with your source tree.
31 echo You are missing common/gst-autogen.sh
34 . common/gst-autogen.sh
36 # install pre-commit hook for doing clean commits
37 if test ! \( -x .git/hooks/pre-commit -a -L .git/hooks/pre-commit \);
39 rm -f .git/hooks/pre-commit
40 if ! ln -s ../../common/hooks/pre-commit.hook .git/hooks/pre-commit 2> /dev/null
42 echo "Failed to create commit hook symlink, copying instead ..."
43 cp common/hooks/pre-commit.hook .git/hooks/pre-commit
47 # GNU gettext automake support doesn't get along with git.
48 # https://bugzilla.gnome.org/show_bug.cgi?id=661128
50 touch -t 200001010000 po/gst-plugins-base-1.0.pot
53 CONFIGURE_DEF_OPT='--enable-maintainer-mode --enable-gtk-doc'
55 if test "x$package" = "xgstreamer"; then
56 CONFIGURE_DEF_OPT="$CONFIGURE_DEF_OPT --enable-failing-tests --enable-poisoning"
57 elif test "x$package" = "xgst-plugins-bad"; then
58 CONFIGURE_DEF_OPT="$CONFIGURE_DEF_OPT --with-player-tests"
63 printf "+ check for build tools"
64 if test -z "$NOCHECK"; then
67 printf " checking for autoreconf ... "
69 which "autoreconf" 2>/dev/null || {
70 echo "not found! Please install the autoconf package."
74 printf " checking for pkg-config ... "
76 which "pkg-config" 2>/dev/null || {
77 echo "not found! Please install pkg-config."
81 echo ": skipped version checks"
84 # if no arguments specified then this will be printed
85 if test -z "$*" && test -z "$NOCONFIGURE"; then
86 echo "+ checking for autogen.sh options"
87 echo " This autogen script will automatically run ./configure as:"
88 echo " ./configure $CONFIGURE_DEF_OPT"
89 echo " To pass any additional options, please specify them on the $0"
93 toplevel_check $srcfile
96 if test -d po && grep ^AM_GNU_GETTEXT_VERSION configure.ac >/dev/null ; then
97 tool_run "autopoint" "--force"
101 if test -f acinclude.m4; then rm acinclude.m4; fi
103 autoreconf --force --install || exit 1
105 test -n "$NOCONFIGURE" && {
106 echo "+ skipping configure stage for package $package, as requested."
107 echo "+ autogen.sh done."
113 echo "+ running configure ... "
114 test ! -z "$CONFIGURE_DEF_OPT" && echo " default flags: $CONFIGURE_DEF_OPT"
115 test ! -z "$CONFIGURE_EXT_OPT" && echo " external flags: $CONFIGURE_EXT_OPT"
118 echo "$srcdir/configure" $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT
119 "$srcdir/configure" $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT || {
120 echo " configure failed"
124 echo "Now type 'make' to compile $package."